<?php
 /*
  * Template Name: Promotion Calendar - Single
  */
?>
<html style="margin-top: 0!important;">
<head>
<title><?php the_title(); ?> | <?php bloginfo('name'); ?></title>
<meta name="viewport" content="initial-scale = 1.0,maximum-scale = 1.0" />	
<?php wp_head(); ?>
</head>
<body id="primary">
    <div id="content" role="main" class="locked-promotion">
	<?php add_filter( 'show_admin_bar', '__return_false' ); ?>
	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
        <article id="post-<?php the_ID(); ?>" <?php post_class('promotion'); ?> itemprop="offers" itemscope itemtype="http://schema.org/Offer">
            <header class="entry-header">
 
                <h1><?php the_title(); ?></h1>

            </header>
			<div class="promotion-image">
            	<?php the_post_thumbnail(); ?>
            </div>
            <div class="entry-content">
				<?php 
				if(!function_exists('wppc_the_content')){
					function wppc_the_content($more_link_text = null, $stripteaser = false){
						$content = get_the_content($more_link_text, $stripteaser);
						$content = wptexturize($content);
						$content = convert_smilies($content);
						$content = convert_chars($content);
						$content = wpautop($content);
						$content = shortcode_unautop($content);
						$content = do_shortcode($content);
						$content = str_replace(']]>', ']]&gt;', $content);
					echo $content;
					}
				}
				wppc_the_content();
				?>
			</div>
			<?php 
				$options = get_option('wppc_display_options'); 
				
				if( isset( $options['display_wppc_optin'] ) && $options[ 'display_wppc_optin' ] == 'activecampaign' ) {
					wppc_activecampaign_optin();
				} elseif( isset( $options['display_wppc_optin'] ) && $options[ 'display_wppc_optin' ] == 'aweber' ) {
					wppc_aweber_optin();
				} elseif( isset( $options['display_wppc_optin'] ) && $options[ 'display_wppc_optin' ] == 'getresponse' ) {
					wppc_getresponse_optin();
				} elseif( isset( $options['display_wppc_optin'] ) && $options[ 'display_wppc_optin' ] == 'mailchimp' ) {
					wppc_mailchimp_optin();
				}
			?>
        </article>
 
    	<?php endwhile; else: ?>

		<article id="post-<?php the_ID(); ?>" <?php post_class('promotion'); ?> itemprop="offers" itemscope itemtype="http://schema.org/Offer">
            <header class="entry-header">
 
                <h1>Grab The Hottest Offers</h1>

            </header>
 
            <div class="entry-content">
				<p>This promotion is currently locked but you can still make sure you never miss out on any of our promotions by entering your details below so we can send you exclusive invitations.</p>
			</div>
			<?php 
				$options = get_option('wppc_display_options'); 
				
				if( isset( $options['display_wppc_optin'] ) && $options[ 'display_wppc_optin' ] == 'activecampaign' ) {
					wppc_activecampaign_optin();
				} elseif( isset( $options['display_wppc_optin'] ) && $options[ 'display_wppc_optin' ] == 'aweber' ) {
					wppc_aweber_optin();
				} elseif( isset( $options['display_wppc_optin'] ) && $options[ 'display_wppc_optin' ] == 'getresponse' ) {
					wppc_getresponse_optin();
				} elseif( isset( $options['display_wppc_optin'] ) && $options[ 'display_wppc_optin' ] == 'mailchimp' ) {
					wppc_mailchimp_optin();
				}
			?>
        </article>

		<?php endif; ?>

    </div>
</div>
<?php wp_reset_query(); ?>
<?php wp_footer(); ?>
</body>
</html>